layui.use(["layer", "form", "laydate", 'laypage'], function(){
    $ = layui.$;
    form = layui.form;
    layer = layui.layer;
    laydate = layui.laydate;
    laypage = layui.laypage;
    //日期范围
    laydate.render({
        elem: '#test6'
        //设置开始日期、日期日期的 input 选择器
        //数组格式为 2.6.6 开始新增，之前版本直接配置 true 或任意分割字符即可
        ,range: ['.start_date', '.end_date']
    });
    //头部查询
    $(".query_button").on("click", () => {
        startTime = $("input[name=startTime]").val(); //开始日期
        endTime = $("input[name=endTime]").val(); //结束日期
        getQuotation(0, 7, startTime, endTime);//查询报价单数据渲染
    });

    //头部重置
    $(".reset_button").on("click", () => {
        // $("input[name=startTime]").val(""); //开始日期
        // $("input[name=endTime]").val(""); //结束日期
        // startTime = null;
        // endTime = null;
        // getQuotation(0, 7, startTime, endTime);//查询报价单数据渲染
        window.open("/page/index/?token=1", " _blank");
    });

    getQuotation(0, 7, startTime, endTime);//查询报价单数据渲染
})